<?php

/*
  Clase SuperConfigFiles
  @version 1.0
 */

class SuperBasicObject {
	public static $staticElements = array();
	
    //Constructor y destructor
    public function __construct() {
    }

    public function __destruct() {
        
    }
	
	public function __set($name, $value){
		$retorno = false;
		$retorno = ($this->$name = $value);
		return($retorno);
	}
	
	
	public function __get($name){
		$retorno = NULL;
		if (isset($this->$name)){
			$retorno = $this->$name;
		}
		return($retorno);
	}
		
	public function __unset($name){
		if ($this->isset($this->$name)){
			unset($this->$name);
		}
	}
	
	//Vamos a definir métodos estáticos para crear variables estáticas:
	public static function set($name, $value = NULL){
		$retorno = false;
		if (static::$staticElements[$name] = $value){
			$retorno = true;
		}
		return($retorno);
	}
	
	public static function get($name){
		$retorno = isset(static::$staticElements[$name]) ? static::$staticElements[$name] : NULL;
		return($retorno);
	}
}
